Test Webhook

Test Webhook

Endpoint to test webhook configuration
Authorized Roles : PROVIDER

Request
URI
POST
https://{api_host}/provider/webhooks/test
COPY
Request Body
WebhookTestAlertDto of type(s) application/json
Required
{
    "name": "string",
    "url": "string",
    "endpointType": "string",
    "payload": {
        "id": "string",
        "contentType": "string",
        "payload": "string",
        "alertDefinitionType": "string"
    },
    "action": "string",
    "authUsername": "string",
    "authPassword": "string",
    "displayName": "string"
}
string
name
Required

name

string
url
Required

url

string
endpointType
Required

endpointType

Possible values are : SLACK, EMAIL, SERVICE_NOW, CUSTOM,
payload
Required

payload

string
action
Required

action

Possible values are : POST, PUT,
string
authUsername
Optional

authUsername

string
authPassword
Optional

authPassword

object
headers
Optional

headers

string
displayName
Optional

displayName

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns NotificationResponse of type(s) application/vnd.vmware.dms-v1+json
{
    "success": false,
    "error": {
        "errorCode": 0,
        "errorCause": "string"
    }
}
boolean
success
Optional

success

error
Optional

error


400

Bad Request

Operation doesn't return any data structure